# Copyright (c) 2011 by open-slx GmbH <Sascha.Manns@open-slx.de>
# Copyright (c) 2008 - 2011 by Sascha Manns <saigkill@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

# norootforbuild

Name: 	        skrooge	
Version: 	1.3.0
Release: 	0.1
Summary:        A Personal Finance Management Tool
License:        GNU GPL v3
Group:          Productivity/Office/Finance
Url:            http://extragear.kde.org/apps/skrooge
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  gettext
BuildRequires:	kdesdk4-scripts
BuildRequires:  libkde4-devel >= 4.2
BuildRequires:  libofx-devel
BuildRequires:  libqca2-devel
BuildRequires:  libqt4-devel >= 4.5.0
BuildRequires:  libQtWebKit-devel
BuildRequires:	sqlite-devel
BuildRequires:  update-desktop-files
BuildRequires:  grantlee-devel
Requires:       grantlee
Requires:	libqt4-sql-sqlite
Requires:	%{name}-lang = %{version}
%kde4_runtime_requires

%description
Skrooge is a personal finance management tool for KDE4, with
the aim of being highly intuitive, while providing powerful
functions such as graphics, persistent Undo/Redo, infinite
category levels, and much more...

%lang_package

%prep
%setup -q

%build
%cmake_kde4
%make_jobs

%install
%makeinstall

%suse_update_desktop_file skrooge Finance
%__install -Dm 0644 skrooge/hi128-apps-skrooge.png %{buildroot}%{_datadir}/pixmaps/skrooge.png

%find_lang %{name} --with-kde 
%fdupes -s %{buildroot}
%kde_post_install

%clean
test "%{buildroot}" != "/" && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc CHANGELOG COPYING README AUTHORS TODO
%dir %{_kde4_appsdir}/plasma/plasmoids
%dir %{_kde4_appsdir}/plasma/plasmoids/adviceapplet-qml
%dir %{_kde4_appsdir}/plasma/plasmoids/adviceapplet-qml/contents
%dir %{_kde4_appsdir}/plasma/plasmoids/adviceapplet-qml/contents/ui
%{_bindir}/%{name}
%{_bindir}/%{name}convert
%{_kde4_modulesdir}/skg_*.so
%{_kde4_modulesdir}/%{name}_*.so
%{_libdir}/libskgbankgui.so*
%{_libdir}/libskgbankmodeler.so*
%{_libdir}/libskgbasegui.so*
%{_libdir}/libskgbasemodeler.so*
%{_libdir}/kde4/plugins/grantlee/*/grantlee_skgfilters.so
%{_libdir}/kde4/plasma_applet_tipsoftheday.so
%{_libdir}/kde4/plasma_skroogoid_account.so
%{_libdir}/kde4/plasma_skroogoid_advice.so
%{_libdir}/kde4/plasma_skroogoid_bank.so
%{_libdir}/kde4/plasma_skroogoid_highlightedoperation.so
%{_libdir}/kde4/plasma_skroogoid_report.so
%{_libdir}/kde4/plasma_skroogoid_scheduledoperation.so
%{_libdir}/kde4/plasma_skroogoid_unit.so
%{_libdir}/kde4/skgdataengine.so
%{_libdir}/kde4/plasma_widget_incomeexpenditure.so
%{_libdir}/kde4/plasma_widget_simulation.so
%{_kde4_iconsdir}/hicolor/*/actions/skg*
%{_kde4_iconsdir}/hicolor/*/actions/%{name}_*
%{_kde4_iconsdir}/hicolor/*/apps/skrooge*
%{_kde4_iconsdir}/hicolor/*/mimetypes/application-x-skg*
%{_kde4_applicationsdir}/*.desktop
%{_kde4_appsdir}/skg
%{_kde4_appsdir}/skg_*
%{_kde4_appsdir}/%{name}
%{_kde4_appsdir}/%{name}_*
%{_kde4_sharedir}/config.kcfg/skg*
%{_datadir}/kde4/config/%{name}_unit.knsrc
%{_kde4_servicesdir}/skg-plugin-*
%{_kde4_servicesdir}/%{name}-plugin-*
%{_kde4_servicesdir}/%{name}-import-*
%{_kde4_servicetypesdir}/skg-plugin.desktop
%{_kde4_servicetypesdir}/skrooge-import-plugin.desktop
%{_datadir}/mime/packages/x-skg.xml
%{_datadir}/pixmaps/%{name}.png
%{_kde4_appsdir}/plasma/plasmoids/adviceapplet-qml/contents/ui/main.qml
%{_kde4_appsdir}/plasma/plasmoids/adviceapplet-qml/metadata.desktop
%{_datadir}/kde4/config/skrooge_monthly.knsrc
%{_kde4_servicesdir}/accountskroogoid.desktop
%{_kde4_servicesdir}/adviceskroogoid.desktop
%{_kde4_servicesdir}/bankskroogoid.desktop
%{_kde4_servicesdir}/highlightedoperationskroogoid.desktop
%{_kde4_servicesdir}/plasma-runner-skrooge-add-operation.desktop
%{_kde4_servicesdir}/reportskroogoid.desktop
%{_kde4_servicesdir}/scheduledoperationskroogoid.desktop
%{_kde4_servicesdir}/skgadvicedataengine.desktop
%{_kde4_servicesdir}/skgdataengine.desktop
%{_kde4_servicesdir}/tipsofthedayapplet.desktop
%{_kde4_servicesdir}/unitskroogoid.desktop
%{_kde4_servicesdir}/incomeexpenditurewidget.desktop
%{_kde4_servicesdir}/simulationwidget.desktop

%files lang -f %{name}.lang
%defattr(-, root, root)
%{_datadir}/doc/kde/HTML/*/%{name}/*
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%changelog
* Thu Apr 26 2012 joe_morris@ntm.org
- update to version 1.3.0
* Thu Mar 15 2012 Sascha.Manns@open-slx.de
- fixed grantlee issue
* Tue Mar 13 2012 Sascha.Manns@open-slx.de
- Update to Version 1.2.0
- New Features
  o In the Search & Process plugin, values for categories, payees...
    can be new values
  o Import & Export of non local files (example:
    http://myserver/document.qif)
  o The "Shares & Indexes" widget is renamed to "Quotes"
  o Possibility to select all available Units (Objects, Currencies
    etc.) in the Quotes widget
  o Percentage modes in reports
  o "Incomes & Expenditures" widget is clickable : clicking on the
    link takes you to the corresponding operations
  o Units can be highlighted to quicky identify the most important
    ones
  o Categories can be highlighted to quicky identify the most
    important ones
  o Addition of a "Show/Hide" menu in the scheduled operations plugin,
    allowing to filter out those with no more payments expected
  o Addition of a "Show/Hide" menu in the operations tab, replacing
    the previous behaviour (combobox for accounts + checkbox for checked
    operations)
- Bugfix
  o Avoid suboperations pointing on unused category when all
    categories are deleted
  o Prevents selecting the same account for source and destination for
    Transfers
  o Hide internal properties in property dock and in the graph values
  o Advice "xxx is an old tracker" is now displayed only for trackers
    that don't have recent operations.
  o Fix inline edition on comment & mode
  o Optimisation on "anonymize" function for big files
  o Avoid duplication of some categories when search and process is
    used
  o Avoid modifications in interest table
  o Fast edition refreshs the "comment" field
  o The autocompletion list for number displays only the numbers of
    the selected account
* Thu Nov 24 2011 Sascha.Manns@open-slx.de
- Update to Version 1.1.0
- New Features
  o New type of account "Loan": transfer from/to this kind of account
    are considered as "expenditure" in reports
  o New function to remove useless values in unit (the curve is preserved
  o New tag for grantlee to be able to use standard palette. Colors of the "Default"
    template are coming from the KDE palette now.
  o Possibility to download values of units with regular expressions.
  o Possibility to create/modify monthy template directly from skrooge
  o More details in progress bar
  o New advice to find and repair operations in groups with only one operation
  o New advice to find potential monthly schedule but useless values are removed)
- Bugfix
  o bug 283683: Can not add a new operation after modifying the values on an existing one
  o bug 284220: Closed account still showing up in accounts combobox of "operations" tab
  o bug 283840: Skrooge is unable to download units for a past period, but it
    works for the current day ==> Better warning message
  o bug 284073: Expressions in splitted operation amount are not calculated
  o bug 283842: If I add today a past operation in a different unit than
    the principal, the amount calculated uses the present unit value, and
    not that of the specific date
  o bug 284752: Skrooge does not look for Grantlee at build time
  o bug 284843: OFX import does not work on UTF-8 encoded files
  o bug 285880: Cumulative amount of main categories don't appear
  o bug 286538: Renaming categories doesn't rename relevant search/process
    rules (not fixed but better error management)
- Enhancements
  o Better colors in "5 main variations" widget for dashboard
  o No more error when importing skg file with payees
  o Addition of an error message on loading of a document generated by
    amost recent version (example loading on a 1.2.0 document into Skrooge 1.1.0)
  o Addition of missing date for x axis on unit graph
  o Import homebank set types of accounts
  o Possibility to remove an empty account without warning
  o Better performances during migration
  o Change language of the document on open if the language of KDE has changed
  o Better affectation of payees and comments during gnucash import
  o Better default size of the "category" panel in the split table to
    avoid manual resizing
* Fri Aug 19 2011 Sascha.Manns@open-slx.de
- Update to Version 0.9.1
  * New Features:
  * Ability to display different accounts in different currencies
  * Enhancements in the Category edition panel, that now features a
  breadcrumb style editor
  * Differentiation between "Sum" and "Percent" mode of PIE graphs
  * Better performance for categories and budgets
  * In CSV import, if 2 "amount" columns are found then the first one is
    considered as a debit and the second one as a credit
  * During import, when in doubt, date format MM_DD is preferred to DD_MM
  * Imports are supporting dates with backslashes like 29\06\2011
  * Saving the state of 'Categories Page' ignores the resized columns with
  (Auto resize: off)
  * CSV import supports multiline file like:
    date;amount;comment;type
    "1/1/2010";1000;"transfer 1
    from account A to account B";TRANSFER
    "2/2/2010";2000;"transfer 2
    from account A to account C";TRANSFER
  * You may now customize the Toolbar, as for any other KDE Application
  * Ability yo import encrypted skrooge files
  * Better print management when many pages are open
  * Missing gsb (Grisbi) format in import file selection panel
  * Graphs in "Bank and Account" page
  * Addition of "Jump to the operation" in contextual menu of
  "Scheduled operations" page
  * Properties can be a copy of a file or a link to an existing file
  * Reverse filters : if you want to show all categories except
    "Alimentation", type "-Alimentation" in the Search field. Works for
  all pages, not only in the categories page
  * Addition of "Highlight" status on catagories and payees
  * In reports, the first columns is resizable and has a tooltip for a
  better display
  * "Expand all" and "Collapse all" in category and bookmark trees
  * An option to set a frequency of units download (once a day/week/month)
  * Properties associated by drag & drop can be copied or linked (ALT+)
  * CTRL+C enables copying the selected cells of tables
  * Bugfixes
  * bug 271294: Modifying transactions with spaces in their amounts causes them to be reset to 0
  * bug 275963: Operations imported in the primary currency unit, not the account unit
  * bug 278004: Skrooge installs library files with wrong version numbers
  * bug 278220: Wrong values in Monthly Report "Amounts in accounts"
  * Remove password when anonymize a document
  * Protection again empty date : if the user remove date string then the current date is used
* Thu Jun  9 2011 saigkill@opensuse.org
- Update to Version 0.9.0
  * Correction bug 273692: Weird overlay in each dashboard widget
  * Correction bug 268933: Category editing is tedious and confusing
  * Correction bug 270207: Cannot enter positive value (credit) for
  operations in my account
  * Correction bug 270450: Add a wallet as a distinct account
  * Correction bug 271294: Modifying transactions with spaces in their
  amounts causes them to be reset to 0
  * Correction bug 271529: Add a search box to the Categories tab
  * Correction bug 271708: Wrong account transfer merging when
  importing QIF files
  * Correction bug 272863: Allow to choose which wallet store password
  in
  * Correction bug 274777: inconsistency between amounts&nb of
  operations displayed by modules Tiers, Categories and Operations
  * Correction bug 274993: Generation of forecast in a report depends
  on the option "auto-write"
  * Correction: Error during QIF import if unit is already existing
  * Correction: Open property file with space
  * Correction: Selected items always on top in graphs
  * Correction: Symbol in legend when "Point" is the selected mode of
  graph
  * Correction: Skrooge crashes on change of icon for folders in
  bookmark dock
  * Correction: Show progress bar only when needed
  * Correction: Bad values when customized dates are changed in reports
  * Correction: Better draw of pies in graphs
  * Correction: "Antialiasing" option in settings panel + automatic
  refresh of graphs after settings modification
  * Correction: "find and group transfer" does not work if 2 operations
  with same date and same amount
  * Correction: Homebank import supports budgets and scheduled
  operation
  * Correction: Change "Context" by "Pages"
  * Correction: Better computation of forecast period for "Scheduled"
  and "Budget" modes
  * Correction: Better performance in advice for scheduled operations
  * Correction: Better proportion in reports in BUBBLE mode
  * New feature: Formula is autorized in splitted amount (must start by
  =)
  * New feature: Ensure visibility of selected items in graph
  * New feature: New logo with rupee symbol
  * New feature: New button to reset internal filter in reports
  * New feature: Settings for "Reports" to select colors
  * New feature: Information zone in budget to display budgeted amount
  based on selected budgets
  * New feature: New contextual action "New category" on categories
  * New feature: Balance and balance of the day in account widgets
  (table, dashboard)
  * New feature: Merge of an imported operation with a manual operation
  is now possible even if amounts are different
  * New feature: Button on "Scheduled operations" to jump to the
  operation template for edition
  * New feature: New advice to align scheduled operation amount with
  the last amount inserted
  * New feature: New kind of graph "stack of columns"
  * New feature: New kind of graph (values in %% of columns)
  * New feature: New setting to select the color of outline in reports
  * New feature: New setting to enable/disable balances computation
* Thu Mar 17 2011 saigkill@opensuse.org
- removed hack for moving oxygen folder to hicolor
* Thu Mar 17 2011 saigkill@opensuse.org
- Updated to Version 0.8.1
  * New Features
    o Support for mt940 files
    o select previously selected tab when closing a tab
    o Improvements in CSV imports
    o Import "Money Manager EX" file
    o Allow user to change icon on bookmarks
    o Find potential duplicate operations
    o Massive update on budgets
    o Delete is more secured.
    o Possibility to change the account of operations even when only
    operations of one account are displayed (useful for credit card)
    o Property dock is able to display all properties
    o New "About" panel using KDE 4.6 features
    o Improvement on the mass update function
    o Timeline in reports
    o Some fields are now directly editable in view
    o Completion for all fields with operators (=upper and =lower for
    the moment)
    o New graph types "stacked area", "bubble"
    o New button in "operation" page to freeze/unfreeze all fields with
    text
    o Better zoom widget in contextual menu of reports
  * Bugfix
    o bug 259417: Units graph unreadable when values are missing for
    some dates ==> "Show origin" allows to show/hide the origin of the
    graph for a better display
    o bug 259416: Report showing limits, average and tendency does not
    work in mode "Sum"
    o bug 259412: Date chooser field: keyboard shortcuts do not work
    o bug 257324: No icon for Skrooge in the Gnome menu
    o bug 261318: Amount field calculator gives too many digits
    o bug 262511: Wrong widget placement in properties subwindow
    o bug 263263: Separate field for income and expenditure when
    importing CSV files
    o bug 263716: Conversion multiple records to "transfer" type cause
    all have the same ammount
    o bug 266703: Window exceeds screen size on Netbook
    o bug 267773: Skrooge always start maximized
    o Bad fullname and cumulative amount on categories after a drag and
    drop
    o Import csv with "sign" column before "amount"
    o All items are in "Skrooge" category in "Configure shortcuts"
    o No symbol for curves of indexes
    o "XX is an old tracker" advice does not give the right result when
    after 31 december
    o GNUCash import creates sometimes "wrong" splits with values close
    to 0
    o Better initial state for the window (docks, maximized)
    o Many small correction in "interest" computation (tooltips, items
    in combo box, computation, ...)
    o Bad unit in "unit" page for units having a unit reference
    o Better tooltips in report (usefull for huge report where lines
    title is not visible)
    o Better management of codex for exports
    o Bad value when update of transfer is done from target account of
    the transfer
* Wed Dec 15 2010 bitshuffler@opensuse.org
- Updated to Version 0.8.0
  * Correction bug 250350: Impossible to update an operation of a closed tracker
  * Correction bug 250403: Dashboard "Shares & Indexes" shows wrong percentaged variation
  * Correction bug 250677: Bank account choice do not use the country information
  * Correction bug 246973: Dashboard should be more customizable
  * Correction bug 251465: Wrong totals with second currency accounts
  * Correction bug 252869: Skrooge doesn't import KMM bank names correctly
  * Correction bug 255133: Skrooge crash on ofx import (With wrong data format. Bug in libOFX)
  * Correction bug 221207: Budget and forecast for accounts
  * Correction bug 256214: Skrooge after full screen mode I have only StartPage
  * Correction bug 257322: Installation doesn't depend from "QCA OSSL plugin for libqca2" (libqca2-plugin-ossl is not optional)
  * Correction bug 258307: comment from main split operation duplicated
  * Correction bug 258621: Skrooge crashes when KDE session is closed
  * Correction: Better dashboard display by using a flow layout
  * Correction: Bookmark of report having "Columns: -- Nothing --"
  * Correction: Support of "!type:prices" for QIF import and export
  * Correction: Better export KMyMoney
  * Correction: Better detection of double during imports
  * Correction: Protection again sql injection
  * Correction: Graph redraw even on hidden tabs
  * Correction: Crash on selection of a cell when graph is hidden in reports
  * Correction: Refresh of page in case of reset default state
  * Correction: Boorkmark of "operation" page in template mode
  * Correction: In report, hide columns or lines without property
  * New feature: On reports, average and limits are available if "All values in positive" is used too
  * New feature: Download of all additional information as properties for units (new setting to activate this mode)
  * New feature: Skrooge is able to store passwords in KDE wallet (new setting to activate this mode)
  * New feature: Scheduled operations with warning are in bold in dashboard
  * New feature: Show/hide properties as a column in tables
  * New feature: Auto point of imported operations to obtain the expected final balance
  * New feature: Reorder widget in dashboard by drag & drop
  * New feature: Floating panel in dashboard to remove or zoom widgets
  * New feature: Accounts can be merged by drag & drop (useful after an import)
  * New feature: Units can be merged by drag & drop (useful after an import)
  * New feature: Automatic import of csv columns as properties based on regular expression
  * New feature: New report capabilities
  * New feature: Sub total in reports
  * New feature: New advice for bank without account
  * New feature: New icons for banks of South Africa (Thank you David)
  * New feature: OR operator (+) supported in string filters
  * New feature: New contextual menu in html pages for export as pdf, odt, image and copy
  * New feature: Possible to show/hide items in context list
  * New feature: Forecast based on budgets
  * New feature: Multi selection in report table and graph
  * New feature: New "show" button
  * New feature: Better performances on dashboard
  * New feature: Better performances on tracker page
  * New feature: New function on operation: "Merge sub operations"
  * New feature: New advice for budgets
  * New feature: Possibility to dismiss kind of advices
  * New feature: Hide tendency line column
* Wed Sep  8 2010 bitshuffler@opensuse.org
- Updated to Version 0.7.3
  * Correction bug 245847: skrooge 0.7.3: 'pow10' was not declared in this scope
  * Correction bug 213786: Account balance is not displayed
  * Correction bug 246178: Dashboard "Income & Expenses" widget counting transfers
  * Correction bug 246408: Skrooge prints hardcopy
  * Correction bug 246977: In reports from selected data the date selection should be all data
  * Correction bug 247445: Linker error in skgbasemodelertest/skgtestnodes.cpp
  * Correction bug 246976: 'Select all' option in menu edit
  * Correction bug 249955: No password request after hardware crash
  * Correction: Better management of print option (collate, nb copy, from, to, last page first)
  * Correction: Do not authorize creation of operation with "-------"
  * Correction: In report, capability to create history with of property
  * Correction: In report, do not allow hiding table or graph by resizing
  * Correction: Import QIF with !Account section containing more than one account and with D attribute (Thank you Dennis)
  * New feature: Properties with a 'http' or 'file' url as value can be opened from skrooge (useful to set bank site on an account)
  * New feature: New daskboard component to know money per bank
  * New feature: Bookmarks in a menu
  * New feature: Context in a toolbar (useful for small screen)
  * New feature: Advice widget in dashboard
  * New feature: Full screen (useful for small screen)
  * New feature: Addition of file as property by drag and drop
  * New feature: Tables are scrolled "bottom" or "top" based on sort order
* Fri Aug  6 2010 bitshuffler@opensuse.org
- Add the QCA OSSL plugin as dependency
  (http://lists.kde.org/?l=kde-extra-gear&m=128057153101411&w=2)
* Sat Jul 24 2010 saigkill@opensuse.org
- Updated to Version 0.7.2
  * Correction bug 237498: Skrooge crash on saving preferences (when system tray is not available)
  * Correction bug 238087: kAmountEdit widget in Operations plugin isn't properly localized
  * Correction bug 238477: Can't open base if partition is full
  * Correction bug 240600: Skrooge must be able to export as a sqlite database
  * Correction bug 240640: Skrooge crash after password entered - input file DELETED at failure
  * Correction bug 234597: Gnucash import issues with two accounts with the same name
  * Correction bug 240601: Skrooge must be able to export an anonymized file
  * Correction bug 243738: Import of Gnucash file that has CNY currency fails
  * Correction bug 245254: Category creation failed on first level
  * Correction: Drag & drop of categories
  * Correction: Import skg file with tracker or interest simulation
  * Correction: No XML export of tables sqlite_sequence and sqlite_stat1
  * Correction: Layouts compatible with small sceen (1024x768)
  * Correction: Open right page when click on "Estimated interest" in dashboard applet
  * New feature: Zoom on tables by using CTRL+wheel
  * New feature: Search button is "Search & process" page to be able to search operations without creating a rule
  * New feature: Click on a column in "Search & process" editor removes the column
  * New feature: CTRL+F opens the "Search & process" panel with a condition based on current selection
  * New feature: Stability of colors in graph
  * New feature: Selection of colors in graph (saved and restored)
  * New feature: "Add property" to add easily properties
  * New feature: skg files saved on a FTP server can be loaded directly from Skrooge. Save is not possible.
  * New feature: New "Payee" page
  * New feature: Merge of payees by drag & drop
  * New feature: Report plugin is able to display graph based on properties
  * New feature: Possibility to select icon file for a bank
  * New feature: Any kind of file as property
  * New feature: Go home
* Wed Jun 16 2010 saigkill@opensuse.org
- reworked Spec
  FIXME: https://bugzilla.novell.com/show_bug.cgi?id=611769
* Wed May 12 2010 tittiatcoke@gmail.com
- updated to version 0.7.1
  Features
  * Use standard KDE dialogs for password management
  * Applet for dashboard to display tip of the day
  * CSV import of splits and transfers
  * CSV import is able to oncatenate many attributes in "comment"
    or "payee"
  * CSV import can import unknown attributes as properties
  * Export XML
  * "Search & Process" is able to search, update, insert and
    delete properties
  * All currencies are now available in unit page
  * Open property picture associated to an object
  * Customisable date formats
  Bugfix
  * (bko#233895): Switching account from 1 type to another with
    multi-sel is modifying the initial balance
  * (bko#233930): QIF address field is not imported
  * (bko#234595): Better handling of category deletion ==>
    Reparent operations on parent category when a category is
    removed
  * (bko#234608): Some gnucash notes are lost during import phase
  * (bko#234771): Problem importing ofx file
  * (bko#234845): Bad Account after importing ofx
* Fri May  7 2010 tittiatcoke@gmail.com
- Added fixes for build with GCC 4.5
* Thu Apr  8 2010 saigkill@opensuse.org
- updated to Version 0.7.0
* Sat Feb  6 2010 saigkill@opensuse.org
- updated to Version 0.6.0
* Mon Jan  4 2010 saigkill@opensuse.org
- update to Version 0.5.5
* Wed Nov  4 2009 saigkill@opensuse.org
- changed %%%%files Section
* Sat Oct 24 2009 saigkill@opensuse.org
- Fixed Novell Bug #543994
* Sat Oct 24 2009 saigkill@opensuse.org
- Fixed Novell Bug #545103
- Fixed Novell Bug #549803
* Fri Oct 23 2009 saigkill@opensuse.org
- Updated to Version 0.5.3
* Thu Oct 22 2009 dmueller@suse.de
- fix typo in runtime requires
* Thu Oct 22 2009 saigkill@opensuse.org
- Fixed Runtime Requires
* Sat Oct 17 2009 saigkill@opensuse.org
- Fixed Bug Novell Bugzilla #545103
* Thu Oct 15 2009 saigkill@opensuse.org
- reworked the Spec (Requires/Obsoletes)
* Thu Oct  8 2009 saigkill@opensuse.org
- updated to Version 0.5.2
* Sun Oct  4 2009 saigkill@opensuse.org
- merged all Library Subpackages to one -libs Package.
- Specfile cleanup
- Iconfile Support for GNOME
* Mon Aug 31 2009 saigkill@opensuse.org
- updated to version 0.5.0
- Changes can shown in ChangeLog
* Fri Jul 31 2009 saigkill@opensuse.org
- added make clean
* Mon Jun  1 2009 saigkill@opensuse.org
- update to Version 0.2.9
- Changes
  + Correction bug 2787146: Single click on bookmarks
  + Correction bug 191972: Selection is not well kept
  + Correction bug 191975: Add Labels for X values in histograms and stack reports
  + Correction bug 191968: Information string on top of page is too long (no word wrap)
  + Correction bug 192687: fonts too large on report
  + Correction bug 192832: Do not take amount sign into account for transfers
  + Correction bug 191967: Skrooge must be able to display an history global and for each account.
  + Correction bug 193423: context list scrolls down only after 8 mouse molette rotation
  + Correction bug 193431: "recurrent operation" trigger can not be set on D day
  + Correction bug 193421: bugs to be registered via bug database (not email)
  + Correction bug 194650: Fast edit must work on Tracker attribute
  + Correction bug 194765: Number of operations by account must be displayed in bank plugin
  + Addition of bank icon on account combo boxes
  + Addition of Canadian dollar
  + Addition of one more view (based on selection) in operation plugin
  + Better managment of dependency between units
  + New settings on unit download
  + Skrooge tries to find the most adapted account during import file without account information inside
  + Update of nls part of data model when language is changed
  + "Open report" on an element of a report open a new report with exactly same settings than first one
  + Addition of "scheduled operations" in dashboard plugin
  + New operation editor
  + Better management of messages in status bar
  + New editor in unit plugin
  + Middle click is able to open new page from context or bookmarks
* Sun May 10 2009 saigkill@opensuse.org
- split into 4 libskg* Packages
- created devel Packages
- created lang Packages
- fixed rpmlintrc
* Mon May  4 2009 saigkill@opensuse.org
- update to version 0.2.8
- removed the Removing from  /nogo
* Mon Apr 27 2009 saigkill@opensuse.org
- added files to %%%%files
* Mon Apr 27 2009 saigkill@opensuse.org
- update to Version 0.2.7
* Sat Apr 18 2009 saigkill@opensuse.org
- added %%%%kde4_requires
* Mon Mar 30 2009 saigkill@opensuse.org
- updated to Version 0.2.6
- deleted own Desktop File and use the original
* Sat Mar 14 2009 saigkill@opensuse.org
- added rpmlintrc
* Tue Mar  3 2009 saigkill@opensuse.org
- updated to Version 0.2.4
- tweaked the libs to own Packages
* Sat Feb 28 2009 saigkill@opensuse.org
- updated to Version 0.2.3
* Mon Feb 23 2009 saigkill@opensuse.org
- fixed two RPMLint Warnings
* Fri Feb 13 2009 saigkill@opensuse.org
- update to Version 0.2.2
* Tue Feb  3 2009 saigkill@opensuse.org
- included Desktop File
- using %%%%suse_update_desktop_file
* Mon Feb  2 2009 saigkill@opensuse.org
- updated to Version 0.2.1
- used %%%%cmake_kde4
* Wed Jan 21 2009 saigkill@opensuse.org
- Upgraded to version 0.2.0
* Tue Jan 13 2009 saigkill@opensuse.org
- Removed %%%%cmake_kde4. It can't compiled with it.
* Fri Jan  9 2009 pth@suse.de
- Use cmake_kde4 macro for calling cmake
- Require %%%%kde4_runtime_requires to conform to openSUSE KDE packaging.
- Fix file list
- Use find_lang
* Fri Jan  9 2009 saigkill@opensuse.org
- updated to version 0.1.9
- inserted Makros from packman
* Wed Dec 31 2008 saigkill@opensuse.org
- renamed Packet to kde4-skrooge
* Mon Nov  3 2008 saigkill@opensuse.org
- initial Version 0.1.0 using the buildservice
